You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1414.4.3, 2003-11-09 00:18:19-02:00, acme@conectiva.com.br
  o LLC: simplify llc_c_ac code, removing unneeded assignments to variables


 llc_c_ac.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)


diff -Nru a/net/llc/llc_c_ac.c b/net/llc/llc_c_ac.c
--- a/net/llc/llc_c_ac.c	Sat Nov 15 17:05:11 2003
+++ b/net/llc/llc_c_ac.c	Sat Nov 15 17:05:11 2003
@@ -113,10 +113,8 @@
 			reason = LLC_DISC_REASON_RX_DISC_CMD_PDU;
 	} else if (ev->type == LLC_CONN_EV_TYPE_ACK_TMR)
 		reason = LLC_DISC_REASON_ACK_TMR_EXP;
-	else {
-		reason = 0;
+	else
 		rc = -EINVAL;
-	}
 	if (!rc) {
 		ev->reason   = reason;
 		ev->ind_prim = LLC_DISC_PRIM;
@@ -153,9 +151,6 @@
 			   LLC_U_PDU_CMD(pdu) == LLC_2_PDU_CMD_SABME) {
 			reason = LLC_RESET_REASON_REMOTE;
 			rc = 0;
-		} else {
-			reason = 0;
-			rc  = 1;
 		}
 		break;
 	case LLC_CONN_EV_TYPE_ACK_TMR:
@@ -165,8 +160,7 @@
 		if (llc->retry_count > llc->n2) {
 			reason = LLC_RESET_REASON_LOCAL;
 			rc = 0;
-		} else
-			rc = 1;
+		}
 		break;
 	}
 	if (!rc) {

===================================================================


This BitKeeper patch contains the following changesets:
1.1414.4.3
## Wrapped with gzip_uu ##


M'XL( .=XMC\  \V4;6O;,!#'7UN?XJ O-]MWDOP(&=V2L8T%%C+ZNBBRDICZ
MH5AJ1L'[[I,3VK(U##KZ8K:QT>G/^7]W/W0!5]8,9:!T:]@%?.ZM*P/==T:[
M^J BW;?19O ;Z[[W&_&^;TT\:>/-#8\[XT(>I1$QKU@II_=P,(,M XK$8\3=
MWYHR6'_\=+5\OV9L-H/Y7G4[\]TXF,V8ZX>#:BI[J=R^Z;O(#:JSK7''?X^/
MTI$C<G\GE E,TI%2E-FHJ2)2DDR%7.:I9).URS_M_YY%$&&!G#(N1\R09VP!
M%)$D&<E( (J8*,8"$$O*2RI"Y"4BG,T,;PA"9!_@=:N8,PT]+)?S$FS=WC;U
M]AZ:1E_K:Z5!]Y5Y"X-I^T/=[>"NZXRI3 7*VGK7M:9SUMN!@QIJM6F,95_!
M5YFSU5/?6?C"BS%4R-Z=;\+H,8B]O?C!8J1/=2:"4(C$]UGXE1@IVRJ)5!0<
MMRE)\:)T#V/+B<9DFML1I>?:B:G7M?FB=">;_D5B3!*4Z9$NGC_CBO[.%8<P
M_^^Y.LWA&X3#C^/C05F=&<D_X+8@2H&S+T09$ M,8\T4*_QB04D*PG_2_*A(
>IV 0_'PZ@_3>Z!M[U\Y$D7.Y-8;] G (R'_F!   
 
